Skip to main content
`Ctrl`+`K`

# DMPlexGetConeRecursiveVertices

Expand each given point into its cone points and do that recursively until we end up just with vertices.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetConeRecursiveVertices(DM dm, IS points, IS *expandedPoints)

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- points - The `IS` of points, which must lie in the chart set with `DMPlexSetChart()`

## Output Parameter

- expandedPoints - An `IS` containing the of vertices recursively expanded from input points

## Notes

Like `DMPlexGetConeRecursive()` but returns only the 0-depth `IS` (i.e. vertices only) and no sections.

There is no corresponding Restore function, just call `ISDestroy()` on the returned `IS` to deallocate.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexGetCone()`, `DMPlexGetConeTuple()`, `DMPlexGetConeRecursive()`, `DMPlexRestoreConeRecursive()`, `DMPlexGetDepth()`, `IS`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages